[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# Rect

Create a rectangle record

## Declaration

Source position: types.pp line 331

`function Rect(`
`Left: Integer;`
`Top: Integer;`
`Right: Integer;`
`Bottom: Integer`
`):TRect;`

## Description

Rect returns a rectangle structure with the 4 members Left, Top, Right and Bottom as passed in the arguments.

## See also

Bounds |  | Create a rectangle, given a position and size
PtInRect |  | Check whether a point is inside a rectangle.
IntersectRect |  | Return the intersection of 2 rectangles
UnionRect |  | Return the union of 2 rectangles.
IsRectEmpty |  | Check whether a rectangle is empty
OffsetRect |  | Offset the rectangle
InflateRect |  | Increase the rectangle in size, keeping it centered
Size |  | Return the size of the rectangle